#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

void main(void)
{
	vec4 c = texture2D(CC_Texture0, v_texCoord);
	if (c.w > 0.5)
	{
		gl_FragColor.xyz = vec3(min(c.x + 0.3, 1.0), min(c.y + 0.3, 1.0), min(c.z + 0.3, 1.0));
	}
	else
	{
		gl_FragColor.xyz = c.xyz;
	}
	
	gl_FragColor.w = c.w;
}